Subject: Re: [netconf] [Last-Call] Opsdir last call review of draft-ietf-netconf-sztp-csr-11

From: Warren Kumari <[email-masked]>
Date: Wed, 15 Dec 2021 14:40:45 -0500

Just a quick note to say thanks to the Dan, the authors and Rob -- this has
improved the document.
W

On Tue, Nov 23, 2021 at 10:18 AM Kent Watsen <[email-masked]> wrote:

> Hi Rob,
>
> Thank you for your input.  Please see below for responses to your comments.
>
> Kent
>
>
>
> Which option seems best?  Does anyone have. preference?
>
> I don’t think that we should do (1).  If the industry widely understands
> IDevID/LDevID to mean 802.1AR then redefining it in this draft to have a
> wider meaning could just be confusing to readers.
>
>
> Agreed.
>
>
> So I think that the draft has broadly got this right in its current
> approach, but I would propose also extending that to the YANG module
> descriptions.
>
>
> Agreed.
>
>
>
> Specifically, I would suggest adding a version of this paragraph to the
> end of the descriptions of cmc-csr and cmp-csr, which already have quite
> long descriptions, so the extra paragraph shouldn’t really be a problem.
>
>
>         The terms 'IDevID' and 'LDevID' are used herein to
>
>         mean 'initial device identifier' and 'local device
>
>         identifer'.  These terms are defined consistent with
>
>         the IEEE 802.1AR specification, though there is no
>
>         requirement that a ZTP-client's identity certificate
>
>         conform to IEEE 802.1AR.
>
>
>
> Yikes!   After sending the response to Dan, I decided on option 2
> (expanding all the IDevID/LDevID usages).  In my response to Yaron
> yesterday I wrote:
>
> We updated the YANG module to greatly remove references to IDevID/LDevID.
>
> Specifically:
> 1) s/IDevID/initial device identity certificate/g
> 2) s/LDevID/local device identity certificate/g
> 3) manually rewrap lines to col 69 as required
> 4) removed the terminology-disclaimer block at top
>
> The diff is here:
> https://github.com/netconf-wg/sztp-csr/commit/ac35f96eec96528dddf5798d528d9874a85c604b
>
> Good?
>
> This isn’t what you suggest, but it’s quite good, maybe better?   Your
> approach seems like it would’ve been more convenient but, given that it is
> what it is now, are you okay with the current edit?  [PS: I haven’t posted
> an updated draft yet as I’m waiting to complete the reviews with Yaron and
> Dan first]
>
>
> I would suggest changing the description in cert-req-info to “(e.g., an
> IDevID from IEEE 802.1AR)”
>
>
>
> Done!
> https://github.com/netconf-wg/sztp-csr/commit/45ace9b40eedabb84e10607592d29146cb54a9c9
>
>
> Rob
>
>
> K.
>
>
>
>
>
>

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra